Index: admin/category.php
===================================================================
--- admin/category.php	(revision 2891)
+++ admin/category.php	(revision 3024)
@@ -179,5 +179,5 @@
 	dcPage::jsConfirmClose('category-form').
 	dcPage::jsLoad('js/_category.js').
-	$core->callBehavior('adminPostEditor',$category_editor['xhtml'],'category',array('#cat_desc')),
+	$core->callBehavior('adminPostEditor',$category_editor['xhtml'],'category',array('#cat_desc'),'xhtml'),
 	dcPage::breadcrumb($elements)
 );
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 2857)
+++ admin/comment.php	(revision 3024)
@@ -183,5 +183,5 @@
 	dcPage::jsConfirmClose('comment-form').
 	dcPage::jsLoad('js/_comment.js').
-	$core->callBehavior('adminPostEditor',$comment_editor['xhtml'],'comment',array('#comment_content')).
+	$core->callBehavior('adminPostEditor',$comment_editor['xhtml'],'comment',array('#comment_content'),'xhtml').
 	# --BEHAVIOR-- adminCommentHeaders
 	$core->callBehavior('adminCommentHeaders'),
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 2929)
+++ admin/index.php	(revision 3024)
@@ -177,5 +177,5 @@
 		if ($post_editor && !empty($post_editor[$post_format])) {
 			// context is not post because of tags not available
-			$admin_post_behavior = $core->callBehavior('adminPostEditor', $post_editor[$post_format], 'quickentry', array('#post_content'));
+			$admin_post_behavior = $core->callBehavior('adminPostEditor', $post_editor[$post_format], 'quickentry', array('#post_content'),$post_format);
 		}
 	}
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2974)
+++ admin/post.php	(revision 3024)
@@ -385,10 +385,10 @@
     if ($p_edit == $c_edit) {
         $admin_post_behavior .= $core->callBehavior('adminPostEditor',
-            $p_edit,'post',array('#post_excerpt','#post_content','#comment_content'));
+            $p_edit,'post',array('#post_excerpt','#post_content','#comment_content'),$post_format);
     } else {
         $admin_post_behavior .= $core->callBehavior('adminPostEditor',
-            $p_edit,'post',array('#post_excerpt','#post_content'));
+            $p_edit,'post',array('#post_excerpt','#post_content'),$post_format);
         $admin_post_behavior .= $core->callBehavior('adminPostEditor',
-            $c_edit,'comment',array('#comment_content'));
+            $c_edit,'comment',array('#comment_content'),'xhtml');
     }
 }
Index: plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php
===================================================================
--- plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 2962)
+++ plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 3024)
@@ -22,7 +22,8 @@
      * @param context  <b>string</b> page context (post,page,comment,event,...)
      * @param tags     <b>array</b>  array of ids into inject editor
+     * @param syntax   <b>string</b> wanted syntax (xhtml)
      */
-    public static function adminPostEditor($editor='',$context='',array $tags=array()) {
-        if (empty($editor) || $editor!='dcCKEditor') { return;}
+    public static function adminPostEditor($editor='',$context='',array $tags=array(),$syntax='xhtml') {
+        if (empty($editor) || $editor != 'dcCKEditor' || $syntax != 'xhtml') { return;}
 
         $config_js = self::$config_url;
Index: plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php
===================================================================
--- plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php	(revision 3021)
+++ plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php	(revision 3024)
@@ -21,6 +21,7 @@
 	 * @param context  <b>string</b> page context (post,page,comment,event,...)
 	 * @param tags     <b>array</b>  array of ids to inject editor
+	 * @param syntax   <b>string</b> wanted syntax (wiki,markdown,...)
 	 */
-	public static function adminPostEditor($editor='',$context='',array $tags=array()) {
+	public static function adminPostEditor($editor='',$context='',array $tags=array(),$syntax='') {
 		if (empty($editor) || $editor!='dcLegacyEditor') {return;}
 
@@ -31,4 +32,5 @@
 			"//<![CDATA[\n".
 			dcPage::jsVar('dotclear.legacy_editor_context', $context).
+			dcPage::jsVar('dotclear.legacy_editor_syntax', $syntax).
 			'dotclear.legacy_editor_tags_context = '.sprintf('{%s:["%s"]};'."\n", $context, implode('","', $tags)).
 			"\n//]]>\n".
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 2974)
+++ plugins/pages/page.php	(revision 3024)
@@ -295,10 +295,10 @@
 	if ($p_edit == $c_edit) {
 		$admin_post_behavior .= $core->callBehavior('adminPostEditor',
-			$p_edit,'page',array('#post_excerpt','#post_content','#comment_content'));
+			$p_edit,'page',array('#post_excerpt','#post_content','#comment_content'),$post_format);
 	} else {
 		$admin_post_behavior .= $core->callBehavior('adminPostEditor',
-			$p_edit,'page',array('#post_excerpt','#post_content'));
+			$p_edit,'page',array('#post_excerpt','#post_content'),$post_format);
 		$admin_post_behavior .= $core->callBehavior('adminPostEditor',
-			$c_edit,'comment',array('#comment_content'));
+			$c_edit,'comment',array('#comment_content'),'xhtml');
 	}
 }
Index: plugins/tags/inc/tags.behaviors.php
===================================================================
--- plugins/tags/inc/tags.behaviors.php	(revision 3021)
+++ plugins/tags/inc/tags.behaviors.php	(revision 3024)
@@ -14,5 +14,5 @@
 class tagsBehaviors
 {
-	public static function adminPostEditor($editor='',$context='',array $tags=array())
+	public static function adminPostEditor($editor='',$context='',array $tags=array(),$syntax='')
 	{
 		if (($editor != 'dcLegacyEditor' && $editor != 'dcCKEditor') || $context != 'post') return;
